<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Test</title>
    <link th:rel="stylesheet"
          th:href="@{/webjars/bootstrap/4.5.3/css/bootstrap.min.css}">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

</head>
<body>
<div class="container">

<!--    th:action="@{/api/v1/tests/saveTest}"-->
    <form action="#" th:action="@{/api/v1/tests/saveTest}" th:object="${test}" method="POST">
        <label>topic:</label>
        <input type="text" th:field="*{topic}" placeholder="topic:">
        <span th:if="${#fields.hasErrors('topic')}" th:errors="*{topic}"></span>
        <!--        // ce face PLACEHOLDER SI SPAN???-->
        <label>title:</label>
        <input type="text" th:field="*{title}" placeholder="title:">
        <span th:if="${#fields.hasErrors('title')}" th:errors="*{title}"></span>

        <input type="submit" value="Add test">

        <a th:href="@{/api/v1/tests/getAllTests}">back to tests list</a>
    </form>
</div>
</body>
</html>
